<?php

/**
 * Mail_DSN_Metadata
 *
 * (c)2004-2008 Tim Jackson (tim@timj.co.uk)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of version 3 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package Mail_DSN
 */

class Mail_DSN_Metadata {
	public $type = Mail_DSN::TYPE_UNKNOWN;
	public $reason = Mail_DSN::REASON_UNKNOWN;
	public $original_recipient = null;
	public $mta = mail_DSN::MTA_UNKNOWN;
	public $smtp_code = null;
	public $smtp_code_enhanced = null;
	public $message = null;
}

